Package net.ivoa.registry.search

# Interface Where2DOMConstants

All Known Implementing Classes:
  `Where2DOM`, `Where2DOMTokenManager`

public interface Where2DOMConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT`
Lexical state.
`static final int`
`DIGIT`
RegularExpression Id.
`static final int`
`EOF`
End of File.
`static final int`
`FLOAT`
RegularExpression Id.
`static final int`
`INTEGER`
RegularExpression Id.
`static final int`
`K_abs`
RegularExpression Id.
`static final int`
`K_acos`
RegularExpression Id.
`static final int`
`K_ALL`
RegularExpression Id.
`static final int`
`K_AND`
RegularExpression Id.
`static final int`
`K_ANY`
RegularExpression Id.
`static final int`
`K_AS`
RegularExpression Id.
`static final int`
`K_ASC`
RegularExpression Id.
`static final int`
`K_asin`
RegularExpression Id.
`static final int`
`K_atan`
RegularExpression Id.
`static final int`
`K_atan2`
RegularExpression Id.
`static final int`
`K_AVG`
RegularExpression Id.
`static final int`
`K_BETWEEN`
RegularExpression Id.
`static final int`
`K_BY`
RegularExpression Id.
`static final int`
`K_ceiling`
RegularExpression Id.
`static final int`
`K_cos`
RegularExpression Id.
`static final int`
`K_COUNT`
RegularExpression Id.
`static final int`
`K_degrees`
RegularExpression Id.
`static final int`
`K_DESC`
RegularExpression Id.
`static final int`
`K_DISTINCT`
RegularExpression Id.
`static final int`
`K_EXISTS`
RegularExpression Id.
`static final int`
`K_exp`
RegularExpression Id.
`static final int`
`K_floor`
RegularExpression Id.
`static final int`
`K_FROM`
RegularExpression Id.
`static final int`
`K_GROUP`
RegularExpression Id.
`static final int`
`K_HAVING`
RegularExpression Id.
`static final int`
`K_IN`
RegularExpression Id.
`static final int`
`K_INTO`
RegularExpression Id.
`static final int`
`K_IS`
RegularExpression Id.
`static final int`
`K_LIKE`
RegularExpression Id.
`static final int`
`K_log`
RegularExpression Id.
`static final int`
`K_log10`
RegularExpression Id.
`static final int`
`K_MAX`
RegularExpression Id.
`static final int`
`K_MIN`
RegularExpression Id.
`static final int`
`K_NOT`
RegularExpression Id.
`static final int`
`K_NOWAIT`
RegularExpression Id.
`static final int`
`K_OR`
RegularExpression Id.
`static final int`
`K_ORDER`
RegularExpression Id.
`static final int`
`K_pi`
RegularExpression Id.
`static final int`
`K_power`
RegularExpression Id.
`static final int`
`K_radians`
RegularExpression Id.
`static final int`
`K_rand`
RegularExpression Id.
`static final int`
`K_REGION`
RegularExpression Id.
`static final int`
`K_round`
RegularExpression Id.
`static final int`
`K_SELECT`
RegularExpression Id.
`static final int`
`K_sin`
RegularExpression Id.
`static final int`
`K_sqrt`
RegularExpression Id.
`static final int`
`K_square`
RegularExpression Id.
`static final int`
`K_SUM`
RegularExpression Id.
`static final int`
`K_tan`
RegularExpression Id.
`static final int`
`K_TOP`
RegularExpression Id.
`static final int`
`K_truncate`
RegularExpression Id.
`static final int`
`K_UNION`
RegularExpression Id.
`static final int`
`K_WHERE`
RegularExpression Id.
`static final int`
`K_XMATCH`
RegularExpression Id.
`static final int`
`LETTER`
RegularExpression Id.
`static final int`
`LINE_COMMENT`
RegularExpression Id.
`static final int`
`MULTI_LINE_COMMENT`
RegularExpression Id.
`static final int`
`S_CHAR_LITERAL`
RegularExpression Id.
`static final int`
`S_IDENTIFIER`
RegularExpression Id.
`static final int`
`S_INTEGER`
RegularExpression Id.
`static final int`
`S_PROTECTED`
RegularExpression Id.
`static final int`
`S_QUOTED_IDENTIFIER`
RegularExpression Id.
`static final int`
`S_REAL`
RegularExpression Id.
`static final int`
`S_TABLE_IDENTIFIER`
RegularExpression Id.
`static final int`
`S_XPATH`
RegularExpression Id.
`static final int`
`S_XPATH_IDENTIFIER`
RegularExpression Id.
`static final int`
`SPECIAL_CHARS`
RegularExpression Id.
`static final String[]`
`tokenImage`
Literal token values.

## Field Details

### EOF

static final int EOF
End of File.

See Also:
  - Constant Field Values

### K_ALL

static final int K_ALL
RegularExpression Id.

See Also:
  - Constant Field Values

### K_AND

static final int K_AND
RegularExpression Id.

See Also:
  - Constant Field Values

### K_ANY

static final int K_ANY
RegularExpression Id.

See Also:
  - Constant Field Values

### K_AS

static final int K_AS
RegularExpression Id.

See Also:
  - Constant Field Values

### K_ASC

static final int K_ASC
RegularExpression Id.

See Also:
  - Constant Field Values

### K_BETWEEN

static final int K_BETWEEN
RegularExpression Id.

See Also:
  - Constant Field Values

### K_BY

static final int K_BY
RegularExpression Id.

See Also:
  - Constant Field Values

### K_DESC

static final int K_DESC
RegularExpression Id.

See Also:
  - Constant Field Values

### K_DISTINCT

static final int K_DISTINCT
RegularExpression Id.

See Also:
  - Constant Field Values

### K_EXISTS

static final int K_EXISTS
RegularExpression Id.

See Also:
  - Constant Field Values

### K_FROM

static final int K_FROM
RegularExpression Id.

See Also:
  - Constant Field Values

### K_GROUP

static final int K_GROUP
RegularExpression Id.

See Also:
  - Constant Field Values

### K_HAVING

static final int K_HAVING
RegularExpression Id.

See Also:
  - Constant Field Values

### K_IN

static final int K_IN
RegularExpression Id.

See Also:
  - Constant Field Values

### K_INTO

static final int K_INTO
RegularExpression Id.

See Also:
  - Constant Field Values

### K_IS

static final int K_IS
RegularExpression Id.

See Also:
  - Constant Field Values

### K_LIKE

static final int K_LIKE
RegularExpression Id.

See Also:
  - Constant Field Values

### K_NOT

static final int K_NOT
RegularExpression Id.

See Also:
  - Constant Field Values

### K_NOWAIT

static final int K_NOWAIT
RegularExpression Id.

See Also:
  - Constant Field Values

### K_OR

static final int K_OR
RegularExpression Id.

See Also:
  - Constant Field Values

### K_ORDER

static final int K_ORDER
RegularExpression Id.

See Also:
  - Constant Field Values

### K_SELECT

static final int K_SELECT
RegularExpression Id.

See Also:
  - Constant Field Values

### K_TOP

static final int K_TOP
RegularExpression Id.

See Also:
  - Constant Field Values

### K_UNION

static final int K_UNION
RegularExpression Id.

See Also:
  - Constant Field Values

### K_WHERE

static final int K_WHERE
RegularExpression Id.

See Also:
  - Constant Field Values

### K_AVG

static final int K_AVG
RegularExpression Id.

See Also:
  - Constant Field Values

### K_COUNT

static final int K_COUNT
RegularExpression Id.

See Also:
  - Constant Field Values

### K_MAX

static final int K_MAX
RegularExpression Id.

See Also:
  - Constant Field Values

### K_MIN

static final int K_MIN
RegularExpression Id.

See Also:
  - Constant Field Values

### K_SUM

static final int K_SUM
RegularExpression Id.

See Also:
  - Constant Field Values

### K_asin

static final int K_asin
RegularExpression Id.

See Also:
  - Constant Field Values

### K_acos

static final int K_acos
RegularExpression Id.

See Also:
  - Constant Field Values

### K_atan

static final int K_atan
RegularExpression Id.

See Also:
  - Constant Field Values

### K_atan2

static final int K_atan2
RegularExpression Id.

See Also:
  - Constant Field Values

### K_cos

static final int K_cos
RegularExpression Id.

See Also:
  - Constant Field Values

### K_sin

static final int K_sin
RegularExpression Id.

See Also:
  - Constant Field Values

### K_tan

static final int K_tan
RegularExpression Id.

See Also:
  - Constant Field Values

### K_abs

static final int K_abs
RegularExpression Id.

See Also:
  - Constant Field Values

### K_ceiling

static final int K_ceiling
RegularExpression Id.

See Also:
  - Constant Field Values

### K_degrees

static final int K_degrees
RegularExpression Id.

See Also:
  - Constant Field Values

### K_exp

static final int K_exp
RegularExpression Id.

See Also:
  - Constant Field Values

### K_floor

static final int K_floor
RegularExpression Id.

See Also:
  - Constant Field Values

### K_log

static final int K_log
RegularExpression Id.

See Also:
  - Constant Field Values

### K_log10

static final int K_log10
RegularExpression Id.

See Also:
  - Constant Field Values

### K_pi

static final int K_pi
RegularExpression Id.

See Also:
  - Constant Field Values

### K_power

static final int K_power
RegularExpression Id.

See Also:
  - Constant Field Values

### K_radians

static final int K_radians
RegularExpression Id.

See Also:
  - Constant Field Values

### K_rand

static final int K_rand
RegularExpression Id.

See Also:
  - Constant Field Values

### K_round

static final int K_round
RegularExpression Id.

See Also:
  - Constant Field Values

### K_square

static final int K_square
RegularExpression Id.

See Also:
  - Constant Field Values

### K_sqrt

static final int K_sqrt
RegularExpression Id.

See Also:
  - Constant Field Values

### K_truncate

static final int K_truncate
RegularExpression Id.

See Also:
  - Constant Field Values

### K_REGION

static final int K_REGION
RegularExpression Id.

See Also:
  - Constant Field Values

### K_XMATCH

static final int K_XMATCH
RegularExpression Id.

See Also:
  - Constant Field Values

### S_REAL

static final int S_REAL
RegularExpression Id.

See Also:
  - Constant Field Values

### S_INTEGER

static final int S_INTEGER
RegularExpression Id.

See Also:
  - Constant Field Values

### FLOAT

static final int FLOAT
RegularExpression Id.

See Also:
  - Constant Field Values

### INTEGER

static final int INTEGER
RegularExpression Id.

See Also:
  - Constant Field Values

### DIGIT

static final int DIGIT
RegularExpression Id.

See Also:
  - Constant Field Values

### LINE_COMMENT

static final int LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### MULTI_LINE_COMMENT

static final int MULTI_LINE_COMMENT
RegularExpression Id.

See Also:
  - Constant Field Values

### S_TABLE_IDENTIFIER

static final int S_TABLE_IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### S_XPATH

static final int S_XPATH
RegularExpression Id.

See Also:
  - Constant Field Values

### S_IDENTIFIER

static final int S_IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### S_XPATH_IDENTIFIER

static final int S_XPATH_IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### S_PROTECTED

static final int S_PROTECTED
RegularExpression Id.

See Also:
  - Constant Field Values

### LETTER

static final int LETTER
RegularExpression Id.

See Also:
  - Constant Field Values

### SPECIAL_CHARS

static final int SPECIAL_CHARS
RegularExpression Id.

See Also:
  - Constant Field Values

### S_CHAR_LITERAL

static final int S_CHAR_LITERAL
RegularExpression Id.

See Also:
  - Constant Field Values

### S_QUOTED_IDENTIFIER

static final int S_QUOTED_IDENTIFIER
RegularExpression Id.

See Also:
  - Constant Field Values

### DEFAULT

static final int DEFAULT
Lexical state.

See Also:
  - Constant Field Values

### tokenImage

static final String[] tokenImage
Literal token values.